| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Typedefs
ext/vec1.hpp File Reference

GLM_EXT_vec1 More...

Go to the source code of this file.

## Typedefs
typedef highp_bvec1 | bvec1
| 1 component vector of boolean. More...
typedef highp_dvec1 | dvec1
| 1 component vector of floating-point numbers. More...
typedef vec< 1, bool, highp > | highp_bvec1
| 1 component vector of bool values. More...
typedef vec< 1, double, highp > | highp_dvec1
| 1 component vector of double-precision floating-point numbers using high precision arithmetic in term of ULPs. More...
typedef vec< 1, int, highp > | highp_ivec1
| 1 component vector of signed integer numbers. More...
typedef vec< 1, uint, highp > | highp_uvec1
| 1 component vector of unsigned integer numbers. More...
typedef vec< 1, float, highp > | highp_vec1
| 1 component vector of single-precision floating-point numbers using high precision arithmetic in term of ULPs. More...
typedef highp_ivec1 | ivec1
| 1 component vector of signed integer numbers. More...
typedef vec< 1, bool, lowp > | lowp_bvec1
| 1 component vector of bool values. More...
typedef vec< 1, double, lowp > | lowp_dvec1
| 1 component vector of double-precision floating-point numbers using low precision arithmetic in term of ULPs. More...
typedef vec< 1, int, lowp > | lowp_ivec1
| 1 component vector of signed integer numbers. More...
typedef vec< 1, uint, lowp > | lowp_uvec1
| 1 component vector of unsigned integer numbers. More...
typedef vec< 1, float, lowp > | lowp_vec1
| 1 component vector of single-precision floating-point numbers using low precision arithmetic in term of ULPs. More...
typedef vec< 1, bool, mediump > | mediump_bvec1
| 1 component vector of bool values. More...
typedef vec< 1, double, mediump > | mediump_dvec1
| 1 component vector of double-precision floating-point numbers using medium precision arithmetic in term of ULPs. More...
typedef vec< 1, int, mediump > | mediump_ivec1
| 1 component vector of signed integer numbers. More...
typedef vec< 1, uint, mediump > | mediump_uvec1
| 1 component vector of unsigned integer numbers. More...
typedef vec< 1, float, mediump > | mediump_vec1
| 1 component vector of single-precision floating-point numbers using medium precision arithmetic in term of ULPs. More...
typedef highp_uvec1 | uvec1
| 1 component vector of unsigned integer numbers. More...
typedef highp_vec1 | vec1
| 1 component vector of floating-point numbers. More...

## Detailed Description

GLM_EXT_vec1

See also
  Core features (dependence)

Definition in file ext/vec1.hpp.